Skip to main content
POST
GetOneDocumentRequest

Authorizations

Authorization
string
header
required

Personal API key, sent as Authorization: Bearer <key>.

Headers

Connect-Protocol-Version
number
required

Define the version of the Connect protocol

Example:

1

Connect-Timeout-Ms
number

Define the timeout, in ms

Example:

1000

Body

application/json

request to get a one document request.

id
string<uuid>

id of the document request, as returned by ListDocumentRequests

Response

Success

response to get a one document request.

id
string<uuid>

id of a document request

crewId
string<uuid>

id of a crew profile

memberGivenName
string

given_name of the member of the organisation

memberFamilyName
string

family_name of the member of the organisation

memberId
string<uuid>

id of a member

crewGivenName
string

given_name of the crew profile

crewFamilyName
string

family_name of the crew profile

crewPrimaryEmail
string

primary_email of the crew profile

crewAvatarUrl
string | null

avatar_url of the crew profile

nrOfDocumentItems
string<int64>

count of document request items

nrOfDocumentSets
string<int64>

count of uploaded document sets by crew

listOfDocumentRequestItems
DocumentRequestItem · object[]

list of document request items

isAllDocumentRequestItemsHaveUploadedDocuments
boolean

is all document request items have uploaded documents

emailSentAt
string<date-time>

when Sterndesk last tried to email this request to the crew member; absent if it never did

Example:

"2023-01-15T01:30:15.01Z"

emailSentState
enum<string>

outcome of the last attempt to email this request to the crew member

Available options:
DOCUMENT_REQUEST_EMAIL_SENT_STATE_UNSPECIFIED,
DOCUMENT_REQUEST_EMAIL_SENT_STATE_SUCCESS,
DOCUMENT_REQUEST_EMAIL_SENT_STATE_FAILED